Package org.eclipse.ease.modules.platform.keywords

# Class ScriptedView

java.lang.Object
org.eclipse.ease.modules.platform.keywords.ScriptedView

    public class ScriptedView
    extends Object

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static String` | `SCRIPT_VARIABLE_COMPOSITE` |
`static String` | `SCRIPT_VARIABLE_VIEW` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ScriptedView​(org.eclipse.e4.ui.model.application.ui.basic.MPart part)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `createPartControl​(org.eclipse.swt.widgets.Composite parent, IScript script)` |
`org.eclipse.swt.widgets.Composite` | `getComposite()` | Get the root composite for this view.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCRIPT_VARIABLE_VIEW

public static final String SCRIPT_VARIABLE_VIEW

See Also:
  Constant Field Values

### SCRIPT_VARIABLE_COMPOSITE

public static final String SCRIPT_VARIABLE_COMPOSITE

See Also:
  Constant Field Values

## Constructor Details

### ScriptedView

@Inject public ScriptedView​(org.eclipse.e4.ui.model.application.ui.basic.MPart part)

## Method Details

### createPartControl

public void createPartControl​(org.eclipse.swt.widgets.Composite parent, IScript script)

### getComposite

public org.eclipse.swt.widgets.Composite getComposite()
Get the root composite for this view.

Returns:
  root composite